Skip to main content
GET
Disputes - Retrieve Dispute Evidence

Authorizations

api-key
string
header
required

Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.

Headers

X-Connected-Merchant-Id
string | null

Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.

Path Parameters

dispute_id
string
required

The identifier for dispute

Response

The dispute evidence was retrieved successfully

evidence_type
enum<string>
required
Available options:
cancellation_policy,
customer_communication,
customer_signature,
receipt,
refund_policy,
service_documentation,
shipping_documentation,
invoice_showing_distinct_transactions,
recurring_transaction_agreement,
uncategorized_file
file_metadata_response
object
required